Page MenuHomePhabricator

More restriction icons!
Closed, ResolvedPublic

Description

There is an icon for trademarked files (T77717), but what about other stuff, like insignia and offensive political symbols and what not? Needs brainstorming for appropriate symbols.

Details

Related Gerrit Patches:
mediawiki/extensions/MultimediaViewer : masterMoar restriction icons!

Event Timeline

Sn1per created this task.Jun 16 2015, 8:16 PM
Sn1per claimed this task.
Sn1per raised the priority of this task from to Normal.
Sn1per updated the task description. (Show Details)
Sn1per added projects: MediaViewer, Multimedia.
Sn1per added subscribers: Unicodesnowman, Matanya, Aklapper and 2 others.
Sn1per added a comment.EditedJun 16 2015, 8:37 PM

For personality rights, we could use like a little head-shoulders icon similar to http://fontawesome.io/icon/user/ ?
For swastikas and hammer and sickles I'm not sure because using the File:Under_section_sign,_swastika.svg wouldn't work very well in one color, but using the illegal symbol itself wouldn't be appropriate.

A generic symbol could be the universal warning triangle sign e.g. http://fontawesome.io/icon/exclamation-triangle/

Aklapper lowered the priority of this task from Normal to Low.Jun 17 2015, 8:59 AM
Sn1per added a comment.EditedJun 18 2015, 8:41 PM

Here are some preliminary nazi and communist restriction icons. I tried using the Under_section_sign,_*.svg files from Commons for nazi and communist symbol icons, but they didn't work out very well, so I tried using exclamation points instead.

(replaced, see gerrit)

Change 219534 had a related patch set uploaded (by Sn1per):
[WIP] Moar restriction icons!

https://gerrit.wikimedia.org/r/219534

zhuyifei1999 moved this task from Incoming to Backlog on the Commons board.Jun 23 2015, 6:41 AM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJul 15 2015, 11:10 PM

Change 219534 merged by jenkins-bot:
Moar restriction icons!

https://gerrit.wikimedia.org/r/219534

Tgr closed this task as Resolved.Jul 16 2015, 1:20 AM

Thanks a lot, @Sn1per!